Package fr.gouv.vitam.worker.core.plugin.massprocessing.management

# Class MassUpdateUnitsRulesProcess

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler
fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler
fr.gouv.vitam.worker.core.plugin.massprocessing.management.MassUpdateUnitsRulesProcess

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class MassUpdateUnitsRulesProcess extends StoreMetadataObjectActionHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MassUpdateUnitsRulesProcess()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `List<ItemStatus>`
  `executeList(WorkerParameters workerParameters, HandlerIO handler)`
  executeList for bulk update units.
  `protected void`
  `saveUnitWithLfc(MetaDataClient mdClient, LogbookLifeCyclesClient lfcClient, StorageClient storageClient, HandlerIO handler, WorkerParameters params, String guid, String fileName)`
  Store Unit with LFC by storing UNIT+LFC in workspace then storing in offers.

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler

  `getRawLogbookLifeCycleById, selectMetadataDocumentRawById`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler

  `storeObject, storeObjects, storeStorageInfos, updateSubTasksAndTasksFromStorageInfos`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MassUpdateUnitsRulesProcess

    public MassUpdateUnitsRulesProcess()

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action
      `ContentAddressableStorageServerException` - if a storage exception is encountered when executing the action

  - ### executeList

    public List<ItemStatus> executeList(WorkerParameters workerParameters, HandlerIO handler) throws ProcessingException
    executeList for bulk update units.
    Overrides:
      `executeList` in class `ActionHandler`
    Parameters:
      `workerParameters` -
      `handler` -
    Returns:
    Throws:
      `ProcessingException`

  - ### saveUnitWithLfc

    protected void saveUnitWithLfc(MetaDataClient mdClient, LogbookLifeCyclesClient lfcClient, StorageClient storageClient, HandlerIO handler, WorkerParameters params, String guid, String fileName) throws VitamException
    Store Unit with LFC by storing UNIT+LFC in workspace then storing in offers.
    Parameters:
      `mdClient` - metadataClient
      `lfcClient` - logbook lifecycle client
      `storageClient` - storage client
      `handler` - handler IO
      `params` - handler parameters
      `guid` - unit guid
      `fileName` - stored unit file name
    Throws:
      `VitamException` - when an error occurs